dapper->hardy->lucid upgrade fails with pre-depends error (fix for #442651 got dropped)

Bug #556348 reported by Michael Vogt on 2010-04-06
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
openoffice.org (Ubuntu)
High
Chris Cheney
Lucid
High
Chris Cheney

Bug Description

Binary package hint: openoffice.org

It appears that #442651 is back. The auto-upgrade-test found the following problem:

2010-04-06 06:46:12,811 ERROR Exception during pm.DoInstall()
Traceback (most recent call last):
  File "/upgrade-tester/DistUpgradeView.py", line 182, in run
    res = pm.DoInstall(self.writefd)
SystemError: E:Couldn't configure pre-depend openoffice.org-core for openoffice.org-evolution, probably a dependency cycle.
2010-04-06 06:46:12,932 ERROR SystemError from cache.commit(): installArchives() failed

Full log at:
http://people.ubuntu.com/~mvo/automatic-upgrade-testing/current/dapper-hardy-lucid-ubuntu/main.log

Michael Vogt (mvo) on 2010-04-06
Changed in openoffice.org (Ubuntu):
importance: Undecided → High
Michael Vogt (mvo) wrote :

The same fix works for me as in bug #442651. Adding a "openoffice.org-common (>= 1:3.1.0-2)" as first item in the pre-depends line (makes me wonder why the original fix was dropped?).

summary: - dapper->hardy->lucid upgrade fails with pre-depends error
+ dapper->hardy->lucid upgrade fails with pre-depends error (fix for
+ #442651 got dropped)
Changed in openoffice.org (Ubuntu Lucid):
milestone: none → ubuntu-10.04
Chris Cheney (ccheney) wrote :

It looks like this probably got dropped when merging or when fixing another pre-dep bug without realizing it helped fix a problem with upgrades, as Debian doesn't have it.

https://bugs.launchpad.net/ubuntu/+source/update-manager/+bug/442651/comments/12

Changed in openoffice.org (Ubuntu Lucid):
assignee: nobody → Chris Cheney (ccheney)
status: New → Triaged
tags: added: iso-testing
Chris Cheney (ccheney) wrote :

mvo,

Were you ever able to determine what the bug is in apt that requires this to be included and is there already a bug on apt for this?

openoffice.org-evolution:

Pre-Depends: openoffice.org-core (= 1:3.2.0-4ubuntu2)

openoffice.org-core:

Depends: openoffice.org-common (>> 1:3.2.0)

Thanks,

Chris

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openoffice.org - 1:3.2.0-7ubuntu1

---------------
openoffice.org (1:3.2.0-7ubuntu1) lucid; urgency=low

  * Resynchronise with Debian (r1940). Remaining changes:
    - Add Launchpad integration support.
    - Add Launchpad translations support.
    - Add package openoffice.org-style-human.
    - Add some Ubuntu-specific bitmaps. Adjust broffice diversions for these.
    - Add support for compressing debs with lzma.
    - Add support for shared /usr/share/doc directories.
    - Add support to build l10n as a separate source.
    - Add Xb-Npp-xxx tags according to "firefox distro add-on suport" spec.
    - openoffice.org-help switch to internal copy of lucene.
    - Disable check_for_running_ooo as it appears to not be needed anymore.
    - Disable gnome-vfs support since it is buggy.
    - Disable URE debconf warning.
    - Switch desktop files from %U to %F for gvfs fuse.
  * Disable lpi bug reporting for lucid per blueprint.
  * Update COMMON_DOCDIR to further reduce duplication.
  * Update Human icon theme.
  * Update Oracle logo on OOo splash screen.
  * Update Latvian translation. Closes LP: #555716
  * Correct Latvian locale settings. Closes LP: #555276
  * Work around apt upgrade bug for openoffice.org-evolution.
    Closes: LP: #556348
  * Force OOo to build for ARM instead of thumb2 to work around a segfault.
    Closes LP: #555977
 -- Chris Cheney <email address hidden> Wed, 14 Apr 2010 12:00:00 -0500

Changed in openoffice.org (Ubuntu Lucid):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers